> For the complete documentation index, see [llms.txt](https://docs.graphite-note.com/graphite-note-documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.graphite-note.com/graphite-note-documentation/rest-api.md).

# REST API

- [API Introduction](https://docs.graphite-note.com/graphite-note-documentation/rest-api/api-introduction.md)
- [Dataset API](https://docs.graphite-note.com/graphite-note-documentation/rest-api/dataset-api.md)
- [Create](https://docs.graphite-note.com/graphite-note-documentation/rest-api/dataset-api/create.md)
- [Fill](https://docs.graphite-note.com/graphite-note-documentation/rest-api/dataset-api/fill.md)
- [Complete](https://docs.graphite-note.com/graphite-note-documentation/rest-api/dataset-api/complete.md)
- [Prediction API](https://docs.graphite-note.com/graphite-note-documentation/rest-api/prediction-api.md)
- [Request v1](https://docs.graphite-note.com/graphite-note-documentation/rest-api/prediction-api/request-v1.md): Necessary information to make a request to an API endpoint for the Graphite Note application
- [Headers](https://docs.graphite-note.com/graphite-note-documentation/rest-api/prediction-api/request-v1/headers.md)
- [Body](https://docs.graphite-note.com/graphite-note-documentation/rest-api/prediction-api/request-v1/body.md): JSON request structures for various models
- [Request v2](https://docs.graphite-note.com/graphite-note-documentation/rest-api/prediction-api/request-v2.md)
- [Headers](https://docs.graphite-note.com/graphite-note-documentation/rest-api/prediction-api/request-v2/headers.md)
- [Body](https://docs.graphite-note.com/graphite-note-documentation/rest-api/prediction-api/request-v2/body.md): JSON request structures for various models
- [Request (Timeseries)](https://docs.graphite-note.com/graphite-note-documentation/rest-api/prediction-api/request-timeseries.md)
- [Python Example — Forecasting Multiple SKUs](https://docs.graphite-note.com/graphite-note-documentation/rest-api/prediction-api/request-timeseries/python-example-forecasting-multiple-skus.md)
- [Response](https://docs.graphite-note.com/graphite-note-documentation/rest-api/prediction-api/response.md): Receiving a response
- [Usage Notes](https://docs.graphite-note.com/graphite-note-documentation/rest-api/prediction-api/usage-notes.md)
- [Model Results API](https://docs.graphite-note.com/graphite-note-documentation/rest-api/model-results-api.md)
- [Request](https://docs.graphite-note.com/graphite-note-documentation/rest-api/model-results-api/request.md)
- [Headers](https://docs.graphite-note.com/graphite-note-documentation/rest-api/model-results-api/request/headers.md)
- [Body](https://docs.graphite-note.com/graphite-note-documentation/rest-api/model-results-api/request/body.md)
- [Response](https://docs.graphite-note.com/graphite-note-documentation/rest-api/model-results-api/response.md)
- [Usage Notes](https://docs.graphite-note.com/graphite-note-documentation/rest-api/model-results-api/usage-notes.md)
- [Code Examples](https://docs.graphite-note.com/graphite-note-documentation/rest-api/model-results-api/code-examples.md): This page provides practical examples for interacting with the Model Results API using both Python and PHP. The Model Results API allows you to retrieve paginated outputs from your Graphite Note model
- [Model Info API](https://docs.graphite-note.com/graphite-note-documentation/rest-api/model-info-api.md)
- [Request](https://docs.graphite-note.com/graphite-note-documentation/rest-api/model-info-api/request.md)
- [Headers](https://docs.graphite-note.com/graphite-note-documentation/rest-api/model-info-api/request/headers.md)
- [Body](https://docs.graphite-note.com/graphite-note-documentation/rest-api/model-info-api/request/body.md)
- [Response](https://docs.graphite-note.com/graphite-note-documentation/rest-api/model-info-api/response.md)
- [Usage notes](https://docs.graphite-note.com/graphite-note-documentation/rest-api/model-info-api/usage-notes.md)
- [Code Examples](https://docs.graphite-note.com/graphite-note-documentation/rest-api/model-info-api/code-examples.md): This page provides practical examples for interacting with the Model Results API using both Python and PHP. The Model info API allows you to retrieve metadata outputs from your Graphite Note model
- [API Response Status Codes](https://docs.graphite-note.com/graphite-note-documentation/rest-api/api-response-status-codes.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.graphite-note.com/graphite-note-documentation/rest-api.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
